The controller for the Mapswipe component.

### Hierarchy

- SwipeController

## Index

### Properties

- layer
- map
- swipeValue

### Methods

- $onDestroy
- $onInit
- deactivate

## Properties

### layer

layer: TileLayer<TileSource>

- Defined in src/map/swipe.js:169

### map

map: Map

### swipeValue

swipeValue: number

- Defined in src/map/swipe.js:130

## Methods

### $onDestroy

- $onDestroy(): void

- - Defined in src/map/swipe.js:228

  #### Returns void

### $onInit

- $onInit(): void

- - Defined in src/map/swipe.js:127

  Init the controller

  #### Returns void

### deactivate

- deactivate(): void

- - Defined in src/map/swipe.js:168

  Allows you to deactivate the swiper on click of the close button.

  #### Returns void

Generated using TypeDoc